Bug 1295246 - CImg contain problematic content
Summary: CImg contain problematic content
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: CImg (Show other bugs)
(Show other bugs)
Version: 26
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Laurent Rineau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-01-04 00:22 UTC by mejiko
Modified: 2017-07-12 03:21 UTC (History)
1 user (show)

Fixed In Version: CImg-202-1.fc26 CImg-202-1.fc24 CImg-202-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 20:54:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2016-01-04 00:22:56 UTC
Hello.

CImg included non-free image. 
This is "Lena" (Lenna) image. (PGM file)

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.

Comment 1 mejiko 2016-01-04 08:49:18 UTC
I check source RPM (*.src.rpm) and source archive (E,g tar.gz, etc...).
Not Binary RPM (*.rpm).

Thanks.

Comment 2 mejiko 2016-01-04 09:44:29 UTC
Additional Information

File Path:

CImg-1.5.8/examples/img/lena.pgm


Why non-free ?

This file is copyrighted, and not fedora acceptable licensed content. 

Reference:
https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html

Comment 3 Jan Kurik 2016-02-24 14:12:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Fedora Admin XMLRPC Client 2016-02-26 17:34:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2016-04-11 10:37:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Laurent Rineau 2016-04-11 11:06:18 UTC
I have filled an upstream issue:
  https://github.com/dtschump/CImg/issues/53

Comment 7 Laurent Rineau 2016-04-11 13:16:25 UTC
The upstream maintainer has already reacted:

  https://github.com/dtschump/CImg/commit/12973657144997a874a58d2f20e0432ad099f0b2

What is the Fedora policy, exactly? Should I only recompile for Rawhide, or should I fix also the issue in all maintained Fedora versions?

Comment 8 Jan Kurik 2016-07-26 04:32:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 9 Fedora End Of Life 2017-02-28 09:52:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 10 Fedora Update System 2017-06-26 16:35:04 UTC
CImg-202-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5051e102a7

Comment 11 Fedora Update System 2017-06-27 03:23:59 UTC
CImg-202-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5051e102a7

Comment 12 Fedora Update System 2017-06-27 06:26:20 UTC
CImg-202-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1195d1c5f5

Comment 13 Fedora Update System 2017-06-27 14:52:09 UTC
CImg-202-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-239f39c89d

Comment 14 Fedora Update System 2017-07-11 20:54:07 UTC
CImg-202-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-07-12 01:50:00 UTC
CImg-202-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-07-12 03:21:44 UTC
CImg-202-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.